中危 digium asterisk 跨界内存写

CVE编号

CVE-2021-26713

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-02-20
漏洞描述
A stack-based buffer overflow in res_rtp_asterisk.c in Sangoma Asterisk before 16.16.1, 17.x before 17.9.2, and 18.x before 18.2.1 and Certified Asterisk before 16.8-cert6 allows an authenticated WebRTC client to cause an Asterisk crash by sending multiple hold/unhold requests in quick succession. This is caused by a signedness comparison mismatch.
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 digium asterisk * From
(including)
16.0.0
Up to
(excluding)
16.16.1
运行在以下环境
应用 digium asterisk * From
(including)
17.0.0
Up to
(excluding)
17.9.2
运行在以下环境
应用 digium asterisk * From
(including)
18.0.0
Up to
(excluding)
18.2.1
运行在以下环境
应用 digium certified_asterisk 16.8 -
运行在以下环境
系统 alpine_3.12 asterisk * Up to
(excluding)
16.16.1-r0
运行在以下环境
系统 alpine_3.13 asterisk * Up to
(excluding)
18.2.1-r0
运行在以下环境
系统 alpine_3.14 asterisk * Up to
(excluding)
18.2.1-r0
运行在以下环境
系统 alpine_3.15 asterisk * Up to
(excluding)
18.2.1-r0
运行在以下环境
系统 alpine_3.16 asterisk * Up to
(excluding)
18.2.1-r0
运行在以下环境
系统 alpine_3.17 asterisk * Up to
(excluding)
18.2.1-r0
运行在以下环境
系统 alpine_edge asterisk * Up to
(excluding)
18.2.1-r0
阿里云评分
4.0
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    N/A
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    服务器失陷
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-787 跨界内存写
阿里云安全产品覆盖情况